play.data

## Interface Upload

All Known Implementing Classes:
  FileUpload, MemoryUpload

    public interface Upload

### Method Summary

All Methods Instance Methods Abstract Methods
`byte[]` `asBytes()`
`java.io.File` `asFile()`
`java.io.InputStream` `asStream()`
`java.lang.String` `getContentType()`
`java.lang.String` `getFieldName()`
`java.lang.String` `getFileName()`
`java.lang.Long` `getSize()`
`boolean` `isInMemory()`

### Method Detail

#### asBytes

    byte[] asBytes()

#### asStream

    java.io.InputStream asStream()

#### getContentType

    java.lang.String getContentType()

#### getFileName

    java.lang.String getFileName()

#### getFieldName

    java.lang.String getFieldName()

#### getSize

    java.lang.Long getSize()

#### isInMemory

    boolean isInMemory()

#### asFile

    java.io.File asFile()